# Customize this configuration as necessary to provide defaults for various
# test environments.
#
# The set of defaults to use is determined by the MEDIAWIKI_ENVIRONMENT
# environment variable.
#
#   export MEDIAWIKI_ENVIRONMENT=mw-vagrant-host
#   bundle exec cucumber
#
# Additional variables set by the environment will override the corresponding
# defaults defined here.
#
#   export MEDIAWIKI_ENVIRONMENT=mw-vagrant-host
#   export MEDIAWIKI_USER=Selenium_user2
#   bundle exec cucumber
#
mw-vagrant-host: &default
  user_factory: true
  mediawiki_url: http://127.0.0.1:8080/wiki/

mw-vagrant-guest:
  user_factory: true
  mediawiki_url: http://127.0.0.1/wiki/
  headless: 'true'

beta:
  mediawiki_url: https://en.wikipedia.beta.wmflabs.org/wiki/
  mediawiki_user: Selenium_user
  # mediawiki_password: SET THIS IN THE ENVIRONMENT!

test2:
  mediawiki_url: https://test2.wikipedia.org/wiki/
  mediawiki_user: Selenium_user
  # mediawiki_password: SET THIS IN THE ENVIRONMENT!

integration:
  user_factory: true
  # mediawiki_url: THIS WILL BE SET BY JENKINS

default: *default
